Subject: Re: bug#70215: Documentation about uninstalling

From: Bengt Richter <[email-masked]>
Date: Sat, 13 Apr 2024 08:25:59 +0200

On +2024-04-11 15:10:56 +0200, Rostislav Svoboda wrote:
> > ./guix-install.sh --uninstall
> > [...]
> > That sounds dangerous
> 
> Yeah a bit.
> 
> > -- what about putting all the deletions
> > in a TAR_DICT/TAR_FILE_NAME.tgz as a default, with suitable
> > default alternative commands for various capitalized names
> > in a (bash) select menu -- which could also include
> >     "Just do it, I know what --uninstall does")
> 
> Eeeh? I don't understand what you mean.
>

Sorry, I should have explained.

I just wanted a simple way to save /exactly/ what uninstall would delete.
so it wouldn't be "irrevocable," in case the uninstall is too eager about its job ;)

A dry run of that size would be a scrolling blur, I think, and not much use unless
captured, and then it would take a lot of boring unreliable reading before you could
decide for sure that  it was ok to do the uninstall.

Maybe guix pack could make a tarball of exactly what uninstall would delete, e.g.,
	guix pack --uninstall-victim-files

with options of where to write it.
 
> Nevertheless, `./guix-install.sh --dry-run --uninstall` would be nice.
> However the script is over 800 lines long. In bash! :-(
> IMO before increasing script complexity with a new feature, we should
> rewrite it to some reasonable language, preferably Guile Scheme. Or at
> least Python.
> 

Well, guix pack is already scheme, right? Why couldn't it invoke uninstall after
safely having completed packing the uninstall-victim-files ?

WDYT? Simon? Ludo? Anyone? :)

> Cheers Bost

--
Regards,
Bengt Richter